X-Git-Url: https://git.arvados.org/arvados.git/blobdiff_plain/3bf22ae161deadd56d20c4165d2ec569de2dcdef..e7c542383a6364d422a14704a8ab11c96a976a41:/doc/install/install-compute-node.html.textile.liquid diff --git a/doc/install/install-compute-node.html.textile.liquid b/doc/install/install-compute-node.html.textile.liquid index dd64cd03a0..02eb2168b0 100644 --- a/doc/install/install-compute-node.html.textile.liquid +++ b/doc/install/install-compute-node.html.textile.liquid @@ -3,56 +3,58 @@ layout: default navsection: installguide title: Install a compute node ... +{% comment %} +Copyright (C) The Arvados Authors. All rights reserved. -This installation guide assumes you are on a 64 bit Debian or Ubuntu system. +SPDX-License-Identifier: CC-BY-SA-3.0 +{% endcomment %} h2. Install dependencies -First add the Arvados apt repository, and then install a number of packages. +First, "add the appropriate package repository for your distribution":{{ site.baseurl }}/install/install-manual-prerequisites.html#repos. + +{% include 'note_python_sc' %} + +On Red Hat-based systems: -
~$ echo "deb http://apt.arvados.org/ wheezy main" | sudo tee /etc/apt/sources.list.d/apt.arvados.org.list
-~$ sudo /usr/bin/apt-key adv --keyserver pool.sks-keyservers.net --recv 1078ECD7
-~$ sudo /usr/bin/apt-get update
-~$ sudo /usr/bin/apt-get install python-pip python-pyvcf python-gflags python-google-api-python-client python-virtualenv libattr1-dev libfuse-dev python-dev python-llfuse fuse crunchstat python-arvados-fuse iptables ca-certificates lxc apt-transport-https docker.io
+
~$ echo 'exclude=python2-llfuse' | sudo tee -a /etc/yum.conf
+~$ sudo yum install perl python-virtualenv fuse python-arvados-python-client python-arvados-fuse crunchrunner crunchstat arvados-docker-cleaner iptables ca-certificates
 
-h2. Install slurm and munge +On Debian-based systems: -
~$ sudo /usr/bin/apt-get install slurm-llnl munge
+
~$ sudo apt-get install perl python-virtualenv fuse python-arvados-python-client python-arvados-fuse crunchrunner crunchstat arvados-docker-cleaner iptables ca-certificates
 
-h2. Copy configuration files from the dispatcher (api) +{% include 'install_compute_docker' %} + +h2. Set up SLURM + +Install SLURM following "the same process you used to install the Crunch dispatcher":install-crunch-dispatch.html#slurm. -The @/etc/slurm-llnl/slurm.conf@ and @/etc/munge/munge.key@ files need to be identicaly across the dispatcher and all compute nodes. Copy the files you created in the "Install the Crunch dispatcher":{{site.baseurl}} step to this compute node. +h2. Copy configuration files from the dispatcher (API server) -h2. Crunch user account +The @slurm.conf@ and @/etc/munge/munge.key@ files need to be identical across the dispatcher and all compute nodes. Copy the files you created in the "Install the Crunch dispatcher":install-crunch-dispatch.html step to this compute node. -* @adduser crunch@ +{% include 'install_compute_fuse' %} -The crunch user should have the same UID, GID, and home directory on all compute nodes and on the dispatcher (api server). +{% include 'install_docker_cleaner' %} -h2. Configure fuse +h2. Add a Crunch user account -Install this file as @/etc/fuse.conf@: +Create a Crunch user account, and add it to the @fuse@ and @docker@ groups so it can use those tools: -
-# Set the maximum number of FUSE mounts allowed to non-root users.
-# The default is 1000.
-#
-#mount_max = 1000
-
-# Allow non-root users to specify the 'allow_other' or 'allow_root'
-# mount options.
-#
-user_allow_other
-
+
~$ sudo useradd --groups fuse,docker crunch
+
+The crunch user should have the same UID, GID, and home directory across all compute nodes and the dispatcher (API server). + h2. Tell the API server about this compute node Load your API superuser token on the compute node: @@ -72,8 +74,16 @@ Then execute this script to create a compute node object, and set up a cron job

 #!/bin/bash
+set -e
 if ! test -f /root/node.json ; then
-    arv node create --node "{\"hostname\": \"$(hostname)\"}" > /root/node.json
+    python - <<EOF
+import arvados, json, socket
+fqdn = socket.getfqdn()
+hostname, _, domain = fqdn.partition('.')
+node = arvados.api('v1').nodes().create(body={'hostname': hostname, 'domain': domain}).execute()
+with open('/root/node.json', 'w') as node_file:
+    json.dump(node, node_file, indent=2)
+EOF
 
     # Make sure /dev/fuse permissions are correct (the device appears after fuse is loaded)
     chmod 1660 /dev/fuse && chgrp fuse /dev/fuse
@@ -83,10 +93,10 @@ UUID=`grep \"uuid\" /root/node.json  |cut -f4 -d\"`
 PING_SECRET=`grep \"ping_secret\" /root/node.json  |cut -f4 -d\"`
 
 if ! test -f /etc/cron.d/node_ping ; then
-    echo "*/5 * * * * root /usr/bin/curl -k -d ping_secret=$PING_SECRET https://api/arvados/v1/nodes/$UUID/ping" > /etc/cron.d/node_ping
+    echo "*/5 * * * * root /usr/bin/curl -k -d ping_secret=$PING_SECRET https://$ARVADOS_API_HOST/arvados/v1/nodes/$UUID/ping" > /etc/cron.d/node_ping
 fi
 
-/usr/bin/curl -k -d ping_secret=$PING_SECRET https://api/arvados/v1/nodes/$UUID/ping?ping_secret=$PING_SECRET
+/usr/bin/curl -k -d ping_secret=$PING_SECRET https://$ARVADOS_API_HOST/arvados/v1/nodes/$UUID/ping?ping_secret=$PING_SECRET
 
 
@@ -100,4 +110,3 @@ And remove your token from the environment:
-